import $http from '../index'


/**
 * 提成项目
 */
// 提成项目列表
export const VerifyItem_List = (params: any) => $http.post('/storage/VerifyItem/List', params)
// 提成项目添加
export const VerifyItem_Add = (params: any) => $http.post('/storage/VerifyItem/Add', params)
// 提成项目修改
export const VerifyItem_Edit = (params: any) => $http.post('/storage/VerifyItem/Edit', params)
// // 提成项目删除
export const VerifyItem_Del = (params: any) => $http.post('/storage/VerifyItem/Del', params)


/**
 * 仓库
 */
// 仓库列表
export const Storehouse_Depot_List = (params: any) => $http.post('/storage/Depot/List', params)
// 仓库添加
export const Storehouse_Depot_Add = (params: any) => $http.post('/storage/Depot/Add', params)
// 仓库修改
export const Storehouse_Depot_Edit = (params: any) => $http.post('/storage/Depot/Edit', params)
// 仓库删除
export const Storehouse_Depot_Del = (params: any) => $http.post('/storage/Depot/Del', params)

/**
 * 产品分类
 */
// 产品列表
export const Storehouse_ProductClass_List = (params: any) => $http.post('/storage/ProductClass/List', params)
// 产品添加
export const Storehouse_ProductClass_Add = (params: any) => $http.post('/storage/ProductClass/Add', params)
// 产品修改
export const Storehouse_ProductClass_Edit = (params: any) => $http.post('/storage/ProductClass/Edit', params)
// 产品删除
export const Storehouse_ProductClass_Del = (params: any) => $http.post('/storage/ProductClass/Del', params)

/**
 * 产品
 */
// 产品名称
export const Storehouse_Product_Name_List = (params: any) => $http.post('/storage/Product/Name_List', params)
// 产品型号
export const Storehouse_Product_Model_List = (params: any) => $http.post('/storage/Product/Model_List', params)
// 产品规格
export const Storehouse_Product_Spec_List = (params: any) => $http.post('/storage/Product/Spec_List', params)
// 产品列表  - 验证合同产品列表-不分页
export const Storehouse_Product_List = (params: any) => $http.post('/storage/Product/List', params)
// 产品添加
export const Storehouse_Product_Add = (params: any) => $http.post('/storage/Product/Add', params)
// 产品修改
export const Storehouse_Product_Edit = (params: any) => $http.post('/storage/Product/Edit', params)
// 产品删除
export const Storehouse_Product_Del = (params: any) => $http.post('/storage/Product/Del', params)

/**
 * 物联网卡
 */
// 物联网卡列表
export const Storehouse_IotCard_List = (params: any) => $http.post('/storage/IotCard/List', params)
// 物联网卡添加
export const Storehouse_IotCard_Add = (params: any) => $http.post('/storage/IotCard/Add', params)
// 物联网卡编辑
export const Storehouse_IotCard_Edit = (params: any) => $http.post('/storage/IotCard/Edit', params)
// 物联网卡删除
export const Storehouse_IotCard_Del = (params: any) => $http.post('/storage/IotCard/Del', params)

/**
 * 销售管理 -> 合同
 */
// 合同列表
export const Storehouse_Contract_List = (params: any) => $http.post('/storage/Contract/List', params)
// 生成合同编号
export const Storehouse_Contract_Gen_Number = (params: any) => $http.post('/storage/Contract/Gen_Number', params)
// 合同-销售
export const Storehouse_Contract_User_List = (params: any) => $http.post('/storage/Contract/User_List', params)
// 详情
export const Storehouse_Contract_Get = (params: any) => $http.post('/storage/Contract/Get', params)
// 审批
export const Storehouse_Contract_Approval = (params: any) => $http.post('/storage/Contract/Approval', params)
// 添加
export const Storehouse_Contract_Add = (params: any) => $http.post('/storage/Contract/Add', params)
// 修改
export const Storehouse_Contract_Edit = (params: any) => $http.post('/storage/Contract/Edit', params)
// 删除
export const Storehouse_Contract_Del = (params: any) => $http.post('/storage/Contract/Del', params)
// 产品列表
export const Storehouse_Contract_Product_List = (params: any) =>
  $http.post('/storage/Contract/Product_List', params)
// 获取为出库或为完全出库合同列表
export const Storehouse_Contract_Out_List = (params: any) => $http.post('/storage/Contract/Out_List', params)

/**
 * 库存管理
 */
// 设备列表
export const Storehouse_Device_List = (params: any) => $http.post('/storage/Device/List', params)

/**
 * 入库
 */
// 入库列表
export const Storehouse_StockIn_List = (params: any) => $http.post('/storage/StockIn/List', params)

// 入库明细
export const StockIn_ListProducts = (params: any) => $http.post('/storage/StockIn/List_Product', params)

// 详情
export const Storehouse_StockIn_Get = (params: any) => $http.post('/storage/StockIn/Get', params)
// 入库
export const Storehouse_StockIn_Add = (params: any) => $http.post('/storage/StockIn/Add', params)
// 编辑
export const Storehouse_StockIn_Edit = (params: any) => $http.post('/storage/StockIn/Edit', params)
// 删除
export const Storehouse_StockIn_del = (params: any) => $http.post('/storage/StockIn/Del', params)


/**
 * 出库
 */
// 出库列表
export const Storehouse_StockOut_List = (params: any) => $http.post('/storage/StockOut/List', params)

// 出库明细
export const Storehouse_StockOut_ListProduct = (params: any) => $http.post('/storage/StockOut/List_Product', params)
// 出库
export const Storehouse_StockOut_Add = (params: any) => $http.post('/storage/StockOut/Add', params)
// 详情
export const Storehouse_StockOut_Get = (params: any) => $http.post('/storage/StockOut/Get', params)
// 编辑
export const Storehouse_StockOut_EditGet = (params: any) => $http.post('/storage/StockOut/Edit', params)
// 删除
export const Storehouse_StockOut_Del = (params: any) => $http.post('/storage/StockOut/Del', params)
// 修改发货订单
export const Storehouse_StockOut_Edit = (params: any) => $http.post('/storage/StockOut/Edit_Delivery', params)

/**
 * 库存统计
 */
// 统计列表
export const Storehouse_Stock_List = (params: any) => $http.post('/storage/Stock/List', params)
// 查询明细
export const Storehouse_Stock_Detail_List = (params: any) => $http.post('/storage/Stock/Detail_List', params)
// 导出明细
export const Storehouse_Stock_Detail_Excel = (params: any) => $http.post('/storage/Stock/Detail_Excel', params)

// 检查 Sn 号
export const Storehouse_Device_Check = (params: any) => $http.post('/storage/Device/Check', params)

/**
 * 验证合同
 */
// 客户列表
export const Storehouse_VerifyContract_Customer_List = (params: any) =>
  $http.post('/storage/VerifyContract/Customer_List', params)
// 添加客户
export const Storehouse_VerifyContract_Add_Customer = (params: any) =>
  $http.post('/storage/VerifyContract/Add_Customer', params)
// 编辑客户
export const Storehouse_VerifyContract_Update_Customer = (params: any) =>
  $http.post('/storage/VerifyContract/Update_Customer', params)
// 明细列表
export const Storehouse_VerifyContract_List = (params: any) => $http.post('/storage/VerifyContract/List', params)
// 添加
export const Storehouse_VerifyContract_Add = (params: any) => $http.post('/storage/VerifyContract/Add', params)
// 编辑
export const Storehouse_VerifyContract_Edit = (params: any) => $http.post('/storage/VerifyContract/Edit', params)
// 获取详情
export const Storehouse_VerifyContract_Get = (params: any) => $http.post('/storage/VerifyContract/Get', params)
// 删除
export const Storehouse_VerifyContract_Del = (params: any) => $http.post('/storage/VerifyContract/Del', params)


/**
 * 回款管理
 */
//回款列表
export const Storehouse_VerifyContract_Recover_List = (params: any) =>
  $http.post('/storage/RecoveriesContract/List', params)

  